Subject: bug#64280: Editorconfig and dir-locals in guix source tree contradict each other

From: Jelle Licht <[email-masked]>
Date: Sun, 25 Jun 2023 13:30:42 +0200

Hi all,

I found my Emacs using a fill-column value of 85 while hacking on the
guix source tree.

Turns out it's an interaction between the emacs package
editorconfig-mode (which I use). Easy workaround: turn this mode off
when hacking on guix.

A contradiction between .dir-locals.el and the .editorconfig file in
guix exists:

 max_line_length of 85 in .editorconfig for most files in guix 
    vs
 fill-column of 78 in dir-locals.el for all files in guix

I don't know which of these values is supposed to be leading, or whether
they configure the exact same thing in all situations.

Cheers,
 Jelle